Summary:	A GNU collection of diff utilities
Name:		diffutils
Version:	2.8.7
Release:	%mkrel 8
License:	GPLv2+
Group:		Development/Other
URL:		http://www.gnu.org/software/diffutils/
Source0:	ftp://alpha.gnu.org/gnu/diffutils/diffutils-%{version}.tar.gz
Source1:	%{SOURCE0}.sig
Source2:	%{name}-help2man.bz2
Patch2:		%{name}-2.8.7-i18n.patch
Requires(pre):	info-install
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Diffutils includes four utilities:  diff, cmp, diff3 and sdiff.

  * Diff compares two files and shows the differences, line by line.
  * The cmp command shows the offset and line numbers where two files differ,
    or cmp can show the characters that differ between the two files.
  * The diff3 command shows the differences between three files. Diff3 can be
    used when two people have made independent changes to a common original;
    diff3 can produce a merged file that contains both persons' changes and
    warnings about conflicts.
  * The sdiff command can be used to list diff of two files side by side or
    merge two files interactively.

Install diffutils if you need to compare text files.

%prep
%setup -q
%patch2 -p1 -b .i18n

bzcat %{SOURCE2} > help2man
chmod +x help2man

%build
# for finding help2man
export PATH=$PATH:`pwd`

%configure2_5x

# default editor for sdiff interactive mode, vi is likely better than ed
perl -pi -e 's/^(#define\s+DEFAULT_EDITOR_PROGRAM\s+)"ed"/$1"vi"/' config.h

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%post 
%_install_info diff.info

%preun
%_remove_install_info diff.info

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*
%{_infodir}/diff.info*



%changelog
* Mon Jun 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.8.7-8mdv2009.0
+ Revision: 220625
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.8.7-7mdv2008.1
+ Revision: 149182
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Adam Williamson <awilliamson@mandriva.com> 2.8.7-6mdv2008.0
+ Revision: 85798
- rebuild for 2008
- Fedora license policy


* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.8.7-5mdv2007.0
+ Revision: 119991
- spec file clean
- bunzip patch

  + Emmanuel Andry <eandry@mandriva.org>
    - Import diffutils

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 2.8.7-4mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.8.7-3mdk
- Rebuild

* Wed Jun 02 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.8.7-2mdk
- rework patch2 with suggestions from Mitsuru Chinen (fails i18n tests)

* Mon May 24 2004 Abel Cheung <deaddog@deaddog.org> 2.8.7-1mdk
- New version
- Rediff patch2
- Use tar.gz with signature
- Use help2man to regenerate manpage instead of bundling 11-year old ones
- In sdiff interactive mode, use vi instead of ed as default editor

